Bug 979371 - [abrt] recoll-1.19.4-2.fc18: deallocate: Process /usr/bin/recollindex was killed by signal 6 (SIGABRT)
[abrt] recoll-1.19.4-2.fc18: deallocate: Process /usr/bin/recollindex was kil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: recoll (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:29df39f5a058c614a88fd5346be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 07:01 EDT by Mark Walker
Modified: 2013-11-23 23:04 EST (History)
1 user (show)

See Also:
Fixed In Version: recoll-1.19.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:43:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.48 KB, text/plain)
2013-06-28 07:01 EDT, Mark Walker
no flags Details
File: cgroup (131 bytes, text/plain)
2013-06-28 07:01 EDT, Mark Walker
no flags Details
File: core_backtrace (1.30 KB, text/plain)
2013-06-28 07:01 EDT, Mark Walker
no flags Details
File: dso_list (1.58 KB, text/plain)
2013-06-28 07:01 EDT, Mark Walker
no flags Details
File: environ (186 bytes, text/plain)
2013-06-28 07:01 EDT, Mark Walker
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-28 07:01 EDT, Mark Walker
no flags Details
File: maps (9.82 KB, text/plain)
2013-06-28 07:01 EDT, Mark Walker
no flags Details
File: open_fds (964 bytes, text/plain)
2013-06-28 07:02 EDT, Mark Walker
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-06-28 07:02 EDT, Mark Walker
no flags Details
File: var_log_messages (234 bytes, text/plain)
2013-06-28 07:02 EDT, Mark Walker
no flags Details

  None (edit)
Description Mark Walker 2013-06-28 07:01:36 EDT
Version-Release number of selected component:
recoll-1.19.4-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        recollindex
crash_function: deallocate
executable:     /usr/bin/recollindex
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 deallocate at /usr/include/c++/4.7.2/ext/new_allocator.h:100
 #5 _M_deallocate at /usr/include/c++/4.7.2/bits/stl_bvector.h:454
 #6 std::vector<bool, std::allocator<bool> >::_M_fill_insert at /usr/include/c++/4.7.2/bits/vector.tcc:724
 #7 insert at /usr/include/c++/4.7.2/bits/stl_bvector.h:820
 #8 resize at /usr/include/c++/4.7.2/bits/stl_bvector.h:854
 #9 Rcl::Db::open at ../rcldb/rcldb.cpp:689
 #10 ConfIndexer::createStemmingDatabases at ../index/indexer.cpp:287
 #11 ConfIndexer::index at ../index/indexer.cpp:147
Comment 1 Mark Walker 2013-06-28 07:01:39 EDT
Created attachment 766507 [details]
File: backtrace
Comment 2 Mark Walker 2013-06-28 07:01:42 EDT
Created attachment 766508 [details]
File: cgroup
Comment 3 Mark Walker 2013-06-28 07:01:46 EDT
Created attachment 766509 [details]
File: core_backtrace
Comment 4 Mark Walker 2013-06-28 07:01:49 EDT
Created attachment 766510 [details]
File: dso_list
Comment 5 Mark Walker 2013-06-28 07:01:52 EDT
Created attachment 766511 [details]
File: environ
Comment 6 Mark Walker 2013-06-28 07:01:54 EDT
Created attachment 766512 [details]
File: limits
Comment 7 Mark Walker 2013-06-28 07:01:57 EDT
Created attachment 766513 [details]
File: maps
Comment 8 Mark Walker 2013-06-28 07:02:00 EDT
Created attachment 766514 [details]
File: open_fds
Comment 9 Mark Walker 2013-06-28 07:02:02 EDT
Created attachment 766515 [details]
File: proc_pid_status
Comment 10 Mark Walker 2013-06-28 07:02:05 EDT
Created attachment 766516 [details]
File: var_log_messages
Comment 11 Terje Røsten 2013-06-28 17:04:03 EDT
Thanks for your report.
Comment 12 Terje Røsten 2013-06-29 04:01:11 EDT
Hi, I have contacted upstream about this issue.

To fix the problem he need some information:

Do you have the debug log available?

Are you able to reproduce?
Comment 13 Fedora Update System 2013-11-05 17:12:54 EST
recoll-1.19.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc19
Comment 14 Fedora Update System 2013-11-05 17:13:30 EST
recoll-1.19.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc20
Comment 15 Fedora Update System 2013-11-05 17:14:00 EST
recoll-1.19.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc18
Comment 16 Fedora Update System 2013-11-06 13:21:54 EST
Package recoll-1.19.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.19.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20750/recoll-1.19.8-1.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-11-23 14:43:40 EST
recoll-1.19.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-23 14:44:43 EST
recoll-1.19.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-11-23 23:04:45 EST
recoll-1.19.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.